package dfatool.io;

import java.util.Collection;
import java.util.Map;

import dfatool.strategy.elements.Atom;

public interface IElementIO<T> {
	
	public Collection<T> listElements();
	
	public T getElement(String name);
	
	public void updateElement(T t);
	
	public void removeElement(T t);
	
	public Map<String,T> mapElements();

}
